<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___t_p_s__definitions" kind="group">
    <compoundname>group_ble_service_api_TPS_definitions</compoundname>
    <title>TPS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__tps__char__value__t">cy_stc_ble_tps_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__tps__descr__value__t">cy_stc_ble_tps_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__tpss__t">cy_stc_ble_tpss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__tpsc__t">cy_stc_ble_tpsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__tpss__config__t">cy_stc_ble_tpss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__tpsc__config__t">cy_stc_ble_tpsc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___t_p_s__definitions_1ga5e2c3ee351157ee2eacbde1a425ec001" kind="enum" prot="public" static="no">
        <name>cy_en_ble_tps_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___t_p_s__definitions_1gga5e2c3ee351157ee2eacbde1a425ec001ab229999659dd62d9c1bd537267d90ada" prot="public">
          <name>CY_BLE_TPS_TX_POWER_LEVEL</name>
          <briefdescription>
<para>Tx Power Level Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___t_p_s__definitions_1gga5e2c3ee351157ee2eacbde1a425ec001a72cd27add45345b7386205659e9ecb83" prot="public">
          <name>CY_BLE_TPS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_tps_char_index_t: </bold><linebreak />TPS Characteristic indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="52" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="48" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="49" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___t_p_s__definitions_1ga19c7f0a75bb07aea86405ac00be099f4" kind="enum" prot="public" static="no">
        <name>cy_en_ble_tps_char_descriptors_t</name>
        <enumvalue id="group__group__ble__service__api___t_p_s__definitions_1gga19c7f0a75bb07aea86405ac00be099f4a25343063b1058e79f79e15072319cc7a" prot="public">
          <name>CY_BLE_TPS_CCCD</name>
          <briefdescription>
<para>Tx Power Level Client Characteristic configuration descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___t_p_s__definitions_1gga19c7f0a75bb07aea86405ac00be099f4adbe4d2b7b391ad1f8710cf82707d36eb" prot="public">
          <name>CY_BLE_TPS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of Tx Power Service Characteristic descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_tps_char_descriptors_t: </bold><linebreak />TPS Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="59" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="55" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="56" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the TPS specific definitions and data structures used in the TPS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>